Loading...
Searching...
No Matches
juce::Reverb Class Reference

`#include <juce_Reverb.h>`

## Classes

struct | Parameters

## Public Member Functions

const Parameters & | getParameters () const noexcept
void | setParameters (const Parameters &newParams)
void | setSampleRate (const double sampleRate)
void | reset ()
void | processStereo (float *const left, float *const right, const int numSamples) noexcept
void | processMono (float *const samples, const int numSamples) noexcept

## Detailed Description

Performs a simple reverb effect on a stream of audio data.

This is a simple stereo reverb, based on the technique and tunings used in FreeVerb. Use setSampleRate() to prepare it, and then call processStereo() or processMono() to apply the reverb to your audio data.

See also
  ReverbAudioSource

Definition at line 38 of file juce_audio_basics/utilities/juce_Reverb.h.

## Class Documentation

## juce::Reverb::Parameters

struct juce::Reverb::Parameters

Holds the parameters being used by a Reverb object.

Definition at line 50 of file juce_audio_basics/utilities/juce_Reverb.h.

Class Members
float | damping = 0.5f | Damping, 0 to 1.0, where 0 is not damped, 1.0 is fully damped.
float | dryLevel = 0.4f | Dry level, 0 to 1.0
float | freezeMode = 0.0f | Freeze mode - values < 0.5 are "normal" mode, values > 0.5 put the reverb into a continuous feedback loop.
float | roomSize = 0.5f | Room size, 0 to 1.0, where 1.0 is big, 0 is small.
float | wetLevel = 0.33f | Wet level, 0 to 1.0
float | width = 1.0f | Reverb width, 0 to 1.0, where 1.0 is very wide.

## Constructor & Destructor Documentation

## Reverb()

juce::Reverb::Reverb | ( |  | ) |

inline

Definition at line 42 of file juce_audio_basics/utilities/juce_Reverb.h.

## Member Function Documentation

## getParameters()

const Parameters & juce::Reverb::getParameters | ( |  | ) | const

inline noexcept

Returns the reverb's current parameters.

Definition at line 63 of file juce_audio_basics/utilities/juce_Reverb.h.

## processMono()

void juce::Reverb::processMono | ( | float *const | samples,
|  | const int | numSamples )

inline noexcept

Applies the reverb to a single mono channel of audio data.

Definition at line 169 of file juce_audio_basics/utilities/juce_Reverb.h.

## processStereo()

void juce::Reverb::processStereo | ( | float *const | left,
|  | float *const | right,
|  | const int | numSamples )

inline noexcept

Applies the reverb to two stereo channels of audio data.

Definition at line 132 of file juce_audio_basics/utilities/juce_Reverb.h.

## reset()

void juce::Reverb::reset | ( |  | ) |

inline

Clears the reverb's buffers.

Definition at line 118 of file juce_audio_basics/utilities/juce_Reverb.h.

## setParameters()

void juce::Reverb::setParameters | ( | const Parameters & | newParams | ) |

inline

Applies a new set of parameters to the reverb. Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

Definition at line 69 of file juce_audio_basics/utilities/juce_Reverb.h.

## setSampleRate()

void juce::Reverb::setSampleRate | ( | const double | sampleRate | ) |

inline

Sets the sample rate that will be used for the reverb. You must call this before the process methods, in order to tell it the correct sample rate.

Definition at line 88 of file juce_audio_basics/utilities/juce_Reverb.h.

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_Reverb.h